> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ticket Messages

> List messages for a ticket.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml get /v2/tickets/{ticket_id}/messages
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/tickets/{ticket_id}/messages:
    get:
      tags:
        - Ticket API
      summary: List Ticket Messages
      description: List messages for a ticket.
      operationId: svrelay.publicv2.PublicAPIServiceV2.ListTicketMessages
      parameters:
        - name: ticket_id
          in: path
          required: true
          schema:
            type: string
            title: ticket_id
            description: The ID of the ticket to list messages for.
        - name: pageSize
          in: query
          description: Maximum number of results to return.
          schema:
            type: integer
            title: page_size
            format: int32
            description: Maximum number of results to return.
        - name: pageToken
          in: query
          description: Token for pagination.
          schema:
            type: string
            title: page_token
            description: Token for pagination.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/svhelp.publicapi.ListTicketMessagesResponse
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svhelp.publicapi.ListTicketMessagesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/svhelp.pubapimodels.Message'
          title: data
          x-stainless-terraform-configurability: optional
        nextPageToken:
          type: string
          title: next_page_token
          nullable: true
          x-stainless-terraform-configurability: optional
      title: ListTicketMessagesResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svhelp.pubapimodels.Message:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the Serval message.
          readOnly: true
          x-stainless-terraform-configurability: computed
        user:
          $ref: '#/components/schemas/svhelp.pubapimodels.User'
          title: user
          description: The user who sent the message.
          x-stainless-terraform-configurability: optional
        authorRole:
          $ref: '#/components/schemas/svhelp.models.MessageAuthorRole'
          title: author_role
          description: The role of the user who sent the message.
          x-stainless-terraform-configurability: optional
        content:
          type: string
          title: content
          description: The content of the message.
          x-stainless-terraform-configurability: optional
        createdAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
          description: The timestamp of the message.
          readOnly: true
          x-stainless-terraform-configurability: computed
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/svhelp.pubapimodels.Attachment'
          title: attachments
          description: Attachments associated with the message.
          x-stainless-terraform-configurability: optional
      title: Message
      additionalProperties: false
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    svhelp.pubapimodels.User:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the Serval user.
          readOnly: true
          x-stainless-terraform-configurability: computed
        email:
          type: string
          title: email
          description: The email address of the Serval user.
          x-stainless-terraform-configurability: optional
      title: User
      additionalProperties: false
    svhelp.models.MessageAuthorRole:
      type: string
      title: MessageAuthorRole
      enum:
        - USER_ROLE
        - ASSISTANT_ROLE
        - SYSTEM_INFO_ROLE
        - INTERNAL_NOTE_ROLE
    google.protobuf.Timestamp:
      type: string
      format: date-time
      description: A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
    svhelp.pubapimodels.Attachment:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The unique identifier for the attachment.
          readOnly: true
          x-stainless-terraform-configurability: computed
        name:
          type: string
          title: name
          description: The name of the attachment file.
          x-stainless-terraform-configurability: optional
        contentType:
          type: string
          title: content_type
          description: >-
            The MIME type of the attachment (e.g., "image/png",
            "application/pdf").
          x-stainless-terraform-configurability: optional
        url:
          type: string
          title: url
          description: >-
            A presigned URL to download the attachment. This URL expires after
            15 minutes.
          readOnly: true
          x-stainless-terraform-configurability: computed
        isInline:
          type: boolean
          title: is_inline
          description: |-
            True for attachments that arrived as Content-Disposition: inline on
             an inbound email (typically CID-referenced images embedded in the
             HTML body). Inline attachments are also referenced from the message
             body via cid: URLs that get rewritten to fresh presigned URLs by the
             ticket-detail API.
          readOnly: true
          x-stainless-terraform-configurability: computed
        contentId:
          type: string
          title: content_id
          description: |-
            The RFC 2392 CID (Content-ID header value, brackets stripped) used
             to resolve cid: references in the message body to this attachment's
             url. Empty when the part has no Content-ID.
          readOnly: true
          x-stainless-terraform-configurability: computed
      title: Attachment
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````